discography:
- catalog: N/A
  date: '2020-07-24'
  link: album/131299
  reprint: false
  roles:
  - Performer
  titles:
    en: The Chronicles of Mythos
    ja: The Chronicles of Mythos
    ja-latn: The Chronicles of Mythos
  type: works
- catalog: N/A
  date: '2021-04-16'
  link: album/131274
  reprint: false
  roles:
  - Featured Artist
  titles:
    en: 'Colours of the Heart: A Studio Ghibli Arrangement Album'
    ja: 'Colours of the Heart: A Studio Ghibli Arrangement Album'
    ja-latn: 'Colours of the Heart: A Studio Ghibli Arrangement Album'
  type: anime
- catalog: N/A
  date: '2021-10-15'
  link: album/131170
  reprint: false
  roles:
  - Artist
  - Performer
  titles:
    en: Halls of Crimson and Shadow
    ja: Halls of Crimson and Shadow
    ja-latn: Halls of Crimson and Shadow
  type: works
- catalog: N/A
  date: '2022-11-25'
  link: album/131200
  reprint: false
  roles:
  - Featured Artist
  titles:
    en: 'Lunarian: A Final Fantasy IV Arrangement Album'
    ja: 'Lunarian: A Final Fantasy IV Arrangement Album'
    ja-latn: 'Lunarian: A Final Fantasy IV Arrangement Album'
  type: game
featured_on: []
info:
  Credited works: 4 albums in database
  Credits:
  - 2 performer
  - 2 featured artist
  - 1 artist
  Units: &id001
  - link: artist/58339
    names:
      en: Coin Op. Studios
      ja: Coin Op. Studios
  Variations:
  - names:
      en: Timothy Hommowun
link: artist/58392
meta:
  added_date: 2023-07-29T15:23
  edited_date: 2023-07-29T15:23
  fetched_date: 2025-11-24T03:21
  ttl: 86400
  visitors: 209
name: Tim Hommowun
notes: No notes available for this artist.
picture_full: https://media.vgm.io/artists/29/58392/58392-1690673030.jpg
picture_small: https://thumb-media.vgm.io/artists/29/58392/58392-1690673030.jpg
sex: male
type: Individual
units: *id001
vgmdb_link: https://vgmdb.net/artist/58392?perpage=99999
websites:
  Commercial: []
  Official: []
  Reference: []
